Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.base
Class JRBaseCrosstabRowGroup

    java.lang.Object
      net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
          net.sf.jasperreports.crosstabs.base.JRBaseCrosstabRowGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabGroup, JRCrosstabRowGroup, JRCloneable

    public class JRBaseCrosstabRowGroup

extends JRBaseCrosstabGroup
implements JRCrosstabRowGroup

Base read-only implementation of crosstab row groups.

Version:
  $Id: JRBaseCrosstabRowGroup.java 3715 2010-04-08 18:08:49Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected CrosstabRowPositionEnum` | `positionValue`
`protected int` | `width`

Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
`bucket, header, name, totalHeader, totalPositionValue, variable`

Constructor Summary
`JRBaseCrosstabRowGroup(JRCrosstabRowGroup group, JRBaseObjectFactory factory)`

Method Summary
`byte` | `getPosition()` Deprecated. Replaced by `getPositionValue()`.
`CrosstabRowPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.
`int` | `getWidth()` Returns the width of the group headers.

Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
`clone, getBucket, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup
`getBucket, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### width

    protected int width

### positionValue

    protected CrosstabRowPositionEnum positionValue

Constructor Detail

### JRBaseCrosstabRowGroup

    public JRBaseCrosstabRowGroup(JRCrosstabRowGroup group,
                                  JRBaseObjectFactory factory)

Method Detail

### getPosition

    public byte getPosition()

  Deprecated. Replaced by `getPositionValue()`.

  Specified by:
    `getPosition` in interface `JRCrosstabRowGroup`

### getPositionValue

    public CrosstabRowPositionEnum getPositionValue()

  Description copied from interface: `JRCrosstabRowGroup`
  Returns the position of the header contents for header stretching.

  The row group headers stretch vertically when there are multiple sub group entries. The header contents will be adjusted to the new height depending on this attribute:

  - `CrosstabRowPositionEnum.TOP` - the contents will be rendered at the top of of the header
  - `CrosstabRowPositionEnum.MIDDLE` - the contents will be rendered on the center of the header
  - `JCrosstabRowPositionEnum.BOTTOM` - the contents will be rendered at the bottom of the header
  - `CrosstabRowPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size

  Specified by:
    `getPositionValue` in interface `JRCrosstabRowGroup`
  Returns:
    the position of the header contents for header stretching

### getWidth

    public int getWidth()

  Description copied from interface: `JRCrosstabRowGroup`
  Returns the width of the group headers.

  Specified by:
    `getWidth` in interface `JRCrosstabRowGroup`
  Returns:
    the width of the group headers
  See Also:
    `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com